package com.yizhi.message.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageAccountVo", description = "学员收到消息记录表")
public class MessageAccountVo extends Model<MessageAccountVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id  学员收到消息记录表")
    private Long id;

    @ApiModelProperty(value = "消息id")
    private Long messageId;

    @ApiModelProperty(value = "待发消息id")
    private Long messageRemindId;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "消息内容")
    private String context;

    @ApiModelProperty(value = "关联模块类型(、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")

    private Integer relationType;

    @ApiModelProperty(value = "关联的业务id: 比如调研id")

    private Long relationId;

    @ApiModelProperty(value = "指定范围指定范围(0:全平台,1:指定用户)")
    private Integer visibleRange;

    @ApiModelProperty(value = "是否已读(0:否,1:是)")
    private Integer readed;

    @ApiModelProperty(value = "读取时间")
    private Date readTime;

    @ApiModelProperty(value = "是否删除")
    private Integer deleted;

    @ApiModelProperty(value = "消息标题")
    private String title;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "创建人id")
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
