package com.yizhi.message.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.message.application.domain.Message;
import com.yizhi.message.application.vo.MessageManageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 消息 Mapper 接口
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
public interface MessageMapper extends BaseMapper<Message> {


    /**
     * 分页获取消息
     *
     * @param title
     * @param page
     * @return
     */
    public List<MessageManageVo> getPage(@Param("messageType") Integer messageType, @Param("title") String title,@Param("siteId") Long siteId, Page<MessageManageVo> page);

    public Integer getPageNum(@Param("messageType") Integer messageType, @Param("title") String title,@Param("siteId") Long siteId);

    public List<Message> getList(@Param("messageType") Integer messageType,@Param("siteId") Long siteId);
}
