package com.yizhi.message.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 消息
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "CancelSendMessageVo", description = "消息参数对象")
public class CancelSendMessageVo {

    @ApiModelProperty(value = "id 消息id 必传")
    private Long id;

    @ApiModelProperty(value = "type: 1、取消发送： 2、撤回    取消发送或者撤回操作必传")
    private Integer type;

    @ApiModelProperty(value = "状态   6：下架、7：上架  上下架操作必传  ")
    private Integer status;

    @ApiModelProperty(value = "消息类型：1、自定义消息；2、系统消息；3、事件触发消息 ")
    private Integer messageType;

    private RequestContext context;


}
