package com.yizhi.message.application.service;

import com.yizhi.message.application.domain.MessageAccount;
import com.yizhi.message.application.domain.MessageReadRecord;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-03-29
 */
public interface IMessageReadRecordService extends IService<MessageReadRecord> {

    Integer insertReadRecord(MessageAccount messageAccount);

    //<messageAccountId,accountId>
    Map<Long,Long> getMap(List<Long> messageAccountIds);

    Integer getReadNum();

    Integer batchInsertReadRecord(List<MessageReadRecord> messageReadRecords);

}
