package com.yizhi.message.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.message.application.domain.MessageParameter;
import com.yizhi.message.application.mapper.MessageParameterMapper;
import com.yizhi.message.application.service.MessageParameterService;
import com.yizhi.message.application.vo.MessageParameterVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Service
public class MessageParameterServiceImple extends ServiceImpl<MessageParameterMapper, MessageParameter> implements MessageParameterService {

    @Override
    public List<MessageParameterVo> getList(Integer messageType, Integer relationType) {
        RequestContext context = ContextHolder.get();

        List<MessageParameterVo> list = this.baseMapper.getList(messageType, relationType, context.getSiteId());
        return list;
    }
}
